Can not install wine on ubuntu 64bit

Asked by Michael Rattray on 2012-11-18

I'm trying to get wine to install on Ubuntu 12.1 64 bit. I should mention that I'm extremely new (like 2 weeks) to Linux, and feel, in the words or Mr. Plant, dazed and confused. I get the following message when trying to install wine from the software center.

The following packages have unmet dependencies:

wine1.4: PreDepends: dpkg (>= 1.15.7.2~) but 1.16.7ubuntu6 is to be installed
         Depends: libc6 (>= 2.14) but 2.15-0ubuntu20 is to be installed
         Depends: wine1.4-amd64 (= 1.4.1-0ubuntu1) but 1.4.1-0ubuntu1 is to be installed
         Depends: wine1.4-i386 (= 1.4.1-0ubuntu1) but it is not going to be installed

Now, I've learned enough to know (I think) that this means that theres some missing library or something that wine will need in order to run properly. But, I have no idea what to do about it and I don't seem to be having much luck searching around. The fact that it's asking about "wine 1.4-i386" leads me to believe that there's some sort of incompatibility problem involving the64 bit Ubuntu. If this is the case I don't mind switching to 32 bit (can I run a 32 bit OS on a 64 bit machine?) especially since I only have 4GB of RAM anyways.

Anyways, any suggestions would be much appreciated.

Thank you in advance,
Mike

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu wine Edit question
Assignee:
No assignee Edit question
Solved by:
Manfred Hampl
Solved:
2012-12-19
Last query:
2012-12-19
Last reply:
2012-12-18

Can you give the output of:

apt-cache policy wine wine-1.4; lsb_release -a; uname -a

Thanks

Michael Rattray (pickles1734) said : #2

wine:
  Installed: (none)
  Candidate: 1.5.17-0ubuntu4
  Version table:
     1.5.17-0ubuntu4 0
        500 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ quantal/main amd64 Packages
     1.4.1-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/universe amd64 Packages
N: Unable to locate package wine-1.4
N: Couldn't find any package by regex 'wine-1.4'
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.10
Release: 12.10
Codename: quantal
Linux ubuntu 3.5.0-18-generic #29-Ubuntu SMP Fri Oct 19 10:26:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Try:

sudo apt-get install wine-1.5

Sorry:

sudo apt-get install wine1.5

Michael Rattray (pickles1734) said : #6

Action Parsnip (that makes me grin whenever I see it), Sorry for the late response. This is the output from attempting to install using the line you gave me:

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wine1.5 : Depends: wine1.5-i386 (= 1.5.17-0ubuntu4) but it is not installable
           Recommends: ttf-droid
           Recommends: ttf-umefont but it is not going to be installed
           Recommends: ttf-unfonts-core but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Mark, thank you for the link. I'll spend some time reading through that.

Manfred Hampl (m-hampl) said : #7

try

sudo apt-get install wine1.5-i386 --no-install-recommends

and report what the output is

Michael Rattray (pickles1734) said : #8

mike@ubuntu:~$ sudo apt-get install wine1.5-i386 --no-install-recommends
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package wine1.5-i386 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'wine1.5-i386' has no installation candidate
mike@ubuntu:~$

Manfred Hampl (m-hampl) said : #9

I am not 100% sure about that, but there might be an error related to packaging in the ubuntu-wine ppa - installing wine1.5 on amd64 requires wine1.5-i365, but that is not found.

please provide the output of the following commands:

apt-cache policy
sudo apt-get update
apt-cache policy wine1.5*

Michael Rattray (pickles1734) said : #10

mike@ubuntu:~$ apt-cache policy
Package files:
 100 /var/lib/dpkg/status
     release a=now
 500 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ quantal/main amd64 Packages
     release v=12.10,o=LP-PPA-ubuntu-wine,a=quantal,n=quantal,l=Latest official WineHQ releases,c=main
     origin ppa.launchpad.net
 500 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/universe Translation-en
 500 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/restricted Translation-en
 500 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/multiverse Translation-en
 500 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/main Translation-en
 500 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/multiverse amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal-updates,n=quantal,l=Ubuntu,c=multiverse
     origin us.archive.ubuntu.com
 500 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/universe amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal-updates,n=quantal,l=Ubuntu,c=universe
     origin us.archive.ubuntu.com
 500 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/restricted amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal-updates,n=quantal,l=Ubuntu,c=restricted
     origin us.archive.ubuntu.com
 500 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/main amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal-updates,n=quantal,l=Ubuntu,c=main
     origin us.archive.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ quantal-security/universe Translation-en
 500 http://security.ubuntu.com/ubuntu/ quantal-security/restricted Translation-en
 500 http://security.ubuntu.com/ubuntu/ quantal-security/multiverse Translation-en
 500 http://security.ubuntu.com/ubuntu/ quantal-security/main Translation-en
 500 http://security.ubuntu.com/ubuntu/ quantal-security/multiverse amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal-security,n=quantal,l=Ubuntu,c=multiverse
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ quantal-security/universe amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal-security,n=quantal,l=Ubuntu,c=universe
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ quantal-security/restricted amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal-security,n=quantal,l=Ubuntu,c=restricted
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ quantal-security/main amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal-security,n=quantal,l=Ubuntu,c=main
     origin security.ubuntu.com
 500 http://us.archive.ubuntu.com/ubuntu/ quantal/universe Translation-en
 500 http://us.archive.ubuntu.com/ubuntu/ quantal/restricted Translation-en
 500 http://us.archive.ubuntu.com/ubuntu/ quantal/multiverse Translation-en
 500 http://us.archive.ubuntu.com/ubuntu/ quantal/main Translation-en
 500 http://us.archive.ubuntu.com/ubuntu/ quantal/multiverse amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal,n=quantal,l=Ubuntu,c=multiverse
     origin us.archive.ubuntu.com
 500 http://us.archive.ubuntu.com/ubuntu/ quantal/universe amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal,n=quantal,l=Ubuntu,c=universe
     origin us.archive.ubuntu.com
 500 http://us.archive.ubuntu.com/ubuntu/ quantal/restricted amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal,n=quantal,l=Ubuntu,c=restricted
     origin us.archive.ubuntu.com
 500 http://us.archive.ubuntu.com/ubuntu/ quantal/main amd64 Packages
     release v=12.10,o=Ubuntu,a=quantal,n=quantal,l=Ubuntu,c=main
     origin us.archive.ubuntu.com
Pinned packages:
mike@ubuntu:~$ sudo apt-get update
[sudo] password for mike:
Ign http://us.archive.ubuntu.com quantal InRelease
Ign http://us.archive.ubuntu.com quantal-security InRelease
Ign http://us.archive.ubuntu.com quantal-updates InRelease
Ign http://ppa.launchpad.net quantal InRelease
Hit http://us.archive.ubuntu.com quantal Release.gpg
Ign http://security.ubuntu.com quantal-security InRelease
Get:1 http://us.archive.ubuntu.com quantal-security Release.gpg [933 B]
Get:2 http://us.archive.ubuntu.com quantal-updates Release.gpg [933 B]
Hit http://ppa.launchpad.net quantal Release.gpg
Hit http://us.archive.ubuntu.com quantal Release
Get:3 http://security.ubuntu.com quantal-security Release.gpg [933 B]
Get:4 http://us.archive.ubuntu.com quantal-security Release [49.6 kB]
Hit http://ppa.launchpad.net quantal Release
Get:5 http://security.ubuntu.com quantal-security Release [49.6 kB]
Get:6 http://us.archive.ubuntu.com quantal-updates Release [49.6 kB]
Hit http://ppa.launchpad.net quantal/main Sources
Hit http://us.archive.ubuntu.com quantal/main Sources
Hit http://us.archive.ubuntu.com quantal/restricted Sources
Hit http://ppa.launchpad.net quantal/main amd64 Packages
Hit http://us.archive.ubuntu.com quantal/universe Sources
Hit http://us.archive.ubuntu.com quantal/multiverse Sources
Hit http://us.archive.ubuntu.com quantal/main amd64 Packages
Hit http://us.archive.ubuntu.com quantal/restricted amd64 Packages
Hit http://us.archive.ubuntu.com quantal/universe amd64 Packages
Hit http://us.archive.ubuntu.com quantal/multiverse amd64 Packages
Get:7 http://security.ubuntu.com quantal-security/main amd64 Packages [49.5 kB]
Hit http://us.archive.ubuntu.com quantal/main Translation-en
Hit http://us.archive.ubuntu.com quantal/multiverse Translation-en
Get:8 http://security.ubuntu.com quantal-security/restricted amd64 Packages [14 B]
Hit http://us.archive.ubuntu.com quantal/restricted Translation-en
Hit http://us.archive.ubuntu.com quantal/universe Translation-en
Get:9 http://security.ubuntu.com quantal-security/universe amd64 Packages [15.5 kB]
Get:10 http://us.archive.ubuntu.com quantal-security/main Sources [17.7 kB]
Get:11 http://us.archive.ubuntu.com quantal-security/restricted Sources [14 B]
Get:12 http://security.ubuntu.com quantal-security/multiverse amd64 Packages [1,151 B]
Get:13 http://us.archive.ubuntu.com quantal-security/universe Sources [5,889 B]
Get:14 http://us.archive.ubuntu.com quantal-security/multiverse Sources [695 B]
Get:15 http://us.archive.ubuntu.com quantal-updates/main Sources [46.1 kB]
Get:16 http://us.archive.ubuntu.com quantal-updates/restricted Sources [889 B]
Get:17 http://us.archive.ubuntu.com quantal-updates/universe Sources [20.7 kB]
Get:18 http://security.ubuntu.com quantal-security/main Translation-en [23.9 kB]
Get:19 http://us.archive.ubuntu.com quantal-updates/multiverse Sources [2,940 B]
Ign http://ppa.launchpad.net quantal/main Translation-en_US
Ign http://ppa.launchpad.net quantal/main Translation-en
Get:20 http://us.archive.ubuntu.com quantal-updates/main amd64 Packages [119 kB]
Hit http://security.ubuntu.com quantal-security/multiverse Translation-en
Get:21 http://us.archive.ubuntu.com quantal-updates/restricted amd64 Packages [1,970 B]
Get:22 http://us.archive.ubuntu.com quantal-updates/universe amd64 Packages [63.6 kB]
Hit http://security.ubuntu.com quantal-security/restricted Translation-en
Get:23 http://us.archive.ubuntu.com quantal-updates/multiverse amd64 Packages [7,956 B]
Get:24 http://us.archive.ubuntu.com quantal-updates/main Translation-en [59.2 kB]
Get:25 http://security.ubuntu.com quantal-security/universe Translation-en [8,688 B]
Hit http://us.archive.ubuntu.com quantal-updates/multiverse Translation-en
Hit http://us.archive.ubuntu.com quantal-updates/restricted Translation-en
Get:26 http://us.archive.ubuntu.com quantal-updates/universe Translation-en [38.1 kB]
Ign http://us.archive.ubuntu.com quantal/main Translation-en_US
Ign http://us.archive.ubuntu.com quantal/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com quantal/restricted Translation-en_US
Ign http://us.archive.ubuntu.com quantal/universe Translation-en_US
Ign http://us.archive.ubuntu.com quantal-updates/main Translation-en_US
Ign http://us.archive.ubuntu.com quantal-updates/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com quantal-updates/restricted Translation-en_US
Ign http://security.ubuntu.com quantal-security/main Translation-en_US
Ign http://us.archive.ubuntu.com quantal-updates/universe Translation-en_US
Ign http://security.ubuntu.com quantal-security/multiverse Translation-en_US
Ign http://security.ubuntu.com quantal-security/restricted Translation-en_US
Ign http://security.ubuntu.com quantal-security/universe Translation-en_US
Fetched 635 kB in 5s (124 kB/s)
Reading package lists... Done
mike@ubuntu:~$ apt-cache policy wine1.5*
wine1.3-gecko:
  Installed: (none)
  Candidate: (none)
  Version table:
wine1.4-amd64:
  Installed: (none)
  Candidate: 1.4.1-0ubuntu1
  Version table:
     1.4.1-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/universe amd64 Packages
wine1.5-i386:
  Installed: (none)
  Candidate: (none)
  Version table:
wine1.0:
  Installed: (none)
  Candidate: (none)
  Version table:
wine1.2:
  Installed: (none)
  Candidate: 1.4.1-0ubuntu1
  Version table:
     1.4.1-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/universe amd64 Packages
wine1.3:
  Installed: (none)
  Candidate: 1.4.1-0ubuntu1
  Version table:
     1.4.1-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/universe amd64 Packages
wine1.4:
  Installed: (none)
  Candidate: 1.4.1-0ubuntu1
  Version table:
     1.4.1-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/universe amd64 Packages
wine1.5:
  Installed: (none)
  Candidate: 1.5.18-0ubuntu1
  Version table:
     1.5.18-0ubuntu1 0
        500 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ quantal/main amd64 Packages
wine1.4-common:
  Installed: (none)
  Candidate: 1.4.1-0ubuntu1
  Version table:
     1.4.1-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/universe amd64 Packages
wine1.5-amd64:
  Installed: (none)
  Candidate: 1.5.18-0ubuntu1
  Version table:
     1.5.18-0ubuntu1 0
        500 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ quantal/main amd64 Packages
wine1.4-dbg:
  Installed: (none)
  Candidate: 1.4.1-0ubuntu1
  Version table:
     1.4.1-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/universe amd64 Packages
wine1.4-dev:
  Installed: (none)
  Candidate: 1.4.1-0ubuntu1
  Version table:
     1.4.1-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/universe amd64 Packages
wine1.2-gecko:
  Installed: (none)
  Candidate: (none)
  Version table:
wine1.4-i386:
  Installed: (none)
  Candidate: (none)
  Version table:
wine1.5-dbg:
  Installed: (none)
  Candidate: 1.5.18-0ubuntu1
  Version table:
     1.5.18-0ubuntu1 0
        500 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ quantal/main amd64 Packages
wine1.5-dev:
  Installed: (none)
  Candidate: 1.5.18-0ubuntu1
  Version table:
     1.5.18-0ubuntu1 0
        500 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ quantal/main amd64 Packages
ttf-symbol-replacement-wine1.3:
  Installed: (none)
  Candidate: (none)
  Version table:
mike@ubuntu:~$

I suggest you enable the multiverse and universe repo in software centre. It'll probably have what you need.

Manfred Hampl (m-hampl) said : #12

@actionparsnip: multiverse and universe are enabled as shown in the apt-cache policy command above.

@Michael:
There are several bug reports about problems installing 32 bit packages in amd64 architecture.

One of the possible causes is wrong configuration of dpkg.
Please issue these two commands and copy/paste all output:

dpkg --print-architecture
dpkg --print-foreign-architectures

Michael Rattray (pickles1734) said : #13

mike@ubuntu:~$ dpkg --print-architecture
amd64
mike@ubuntu:~$ dpkg --print-foreign-architectures
mike@ubuntu:~$

Best Manfred Hampl (m-hampl) said : #14

As my own system is 32 bit, I do not have the problems with 32/64 bit. I can only refer to documentation.

Several sources on the web tell that for multiarch support you need that dpkg --print-foreign-architectures returns "i386".
I do not know why your system doesn't.

Do you have the package multiarch-support installed?

Some people wrote that after issuing the commands

sudo dpkg --add-architecture i386
sudo apt-get update

it worked for them, e.g. https://coderwall.com/p/lbjzlw

Michael Rattray (pickles1734) said : #15

Thanks Manfred Hampl, that solved my question.

Michael Rattray (pickles1734) said : #16

Thank you for your help! I was able to install from the software center thanks to your help.

For reference (yours as well as anyone else who comes here looking for help:

I did have multiarch-support installed.

Running the commands:
sudo dpkg --add-architecture i386
sudo apt-get update

... fixed the problem for me.

It should be noted that this problem was persistent for me through multiple reinstalls of Ubuntu. I installed each time from the windows based installer found on Ubuntu's website. I didn't have the chance to try installing from disc because I couldn't find any blank DVDs or thumbdrives in my house.

Thanks again for your help!
... and ActionParsnip's, too!